org.apache.lucene.spatial.composite

## Class IntersectsRPTVerifyQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.spatial.composite.IntersectsRPTVerifyQuery

    public class IntersectsRPTVerifyQuery
    extends Query

A spatial Intersects predicate that distinguishes an approximated match from an exact match based on which cells are within the query shape. It exposes a `TwoPhaseIterator` that will verify a match with a provided predicate in the form of an ShapeValuesPredicate.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`IntersectsRPTVerifyQuery(org.locationtech.spatial4j.shape.Shape queryShape, String fieldName, SpatialPrefixTree grid, int detailLevel, int prefixGridScanLevel, ShapeValuesPredicate predicateValueSource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Weight` `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`boolean` `equals(Object other)`
`int` `hashCode()`
`String` `toString(String field)`
`void` `visit(QueryVisitor visitor)`

### Methods inherited from class org.apache.lucene.search.Query

`classHash, rewrite, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IntersectsRPTVerifyQuery

    public IntersectsRPTVerifyQuery(org.locationtech.spatial4j.shape.Shape queryShape,
                                    String fieldName,
                                    SpatialPrefixTree grid,
                                    int detailLevel,
                                    int prefixGridScanLevel,
                                    ShapeValuesPredicate predicateValueSource)

### Method Detail

#### toString

    public String toString(String field)

Specified by:
  `toString` in class `Query`

#### equals

    public boolean equals(Object other)

Specified by:
  `equals` in class `Query`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Query`

#### visit

    public void visit(QueryVisitor visitor)

Overrides:
  `visit` in class `Query`

#### createWeight

    public Weight createWeight(IndexSearcher searcher,
                               ScoreMode scoreMode,
                               float boost)
                        throws IOException

Overrides:
  `createWeight` in class `Query`
Throws:
  `IOException`